[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Linux' (#rtl)

# clock_getres

Get clock resolution

## Declaration

Source position: linux.pp line 450

`function clock_getres(`
`clk_id: clockid_t;`
`res: ptimespec`
`):cint;`

## Description

clock_getres returns the resolution of the clock specified in clk_id in the res structure. It can be Nil. if the clock exists and the resolution can be retrieved, 0 is returned.

## Errors

On Error, -1 is returned. fpgeterrno can be used to get more detailed error information.

## See also

clock_gettime |  | Get the time of a clock
clock_settime |  | Set the time of a clock

Documentation generated on: Feb 26 2014